export declare enum Protocol {
    ipfs = 0
}
export declare type CID = string;
export declare type URL = string;
export declare type Path = string;
export declare enum Type {
    document = 0,
    audio = 1,
    video = 2,
    image = 3
}
export interface Resource {
    protocol: Protocol;
    cid: CID;
}
export interface Dimensions {
    width: number;
    height: number;
}
export interface ThumbnailRequest extends Resource, Dimensions {
    type?: Type;
}
export interface Thumbnailer {
    (request: ThumbnailRequest): Promise<URL>;
}
